package net.northking.cctp.debuger.service;

import java.util.Map;

/**
 * 与服务端设备管理模块对接的接口服务
 */
public interface DeviceInfoService {

    /**
     * 随机获取一台引擎的ip和端口信息
     */
    String getEngineAddress(String token);

    /**
     * 退出设备使用
     * @return
     */
    Boolean exitDeviceUsage(String token);

    /**
     * 随机获取一台引擎信息
     */
    Map<String,Object> getEngineInfo(String projectId);

}
